Bug Hunting Session
Bug 51166 - Macro security dialog does not open
Summary: Macro security dialog does not open
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.0.0.0.alpha0+ Master
Hardware: Other Windows (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:3.7.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-06-16 23:33 UTC by Rainer Bielefeld Retired
Modified: 2012-06-25 06:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-06-16 23:33:00 UTC
Steps to reproduce with Master " 3.7.0alpha0+  – WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 5af60dc]" (tinderbox: Win-x86@6-fast, pull time 2012-06-14 22:09:53):
0. Start LibO Master Start Center
1. Open new Writer document from  Start Center
2. Menu 'Tools -> Options -> Security' click button 'Macro Security'
   Expected: Macro security dialog will open
   Actual: Button shows "click reaction", but nothing happens, no new dialog
           opens

Effect similar to Bug 40447
Comment 1 manj_k 2012-06-17 06:45:12 UTC
Confirmed (on WinXP 32b) w/
v3.7.0alpha0+ (Build ID: 5af60dc)
Win-x86@6-fast MASTER
pull time 2012-06-14 22:09:53
Comment 2 Rainer Bielefeld Retired 2012-06-17 07:37:54 UTC
Cáolan:
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug or forward the Bug if it's not your turf.
Comment 3 Caolán McNamara 2012-06-18 07:29:04 UTC
at http://tinderbox.libreoffice.org/MASTER/status.html I don't currently see a build log to see what the configuration of that buildbot to see if --disable-xmlsec is used or not
Comment 5 manj_k 2012-06-18 13:26:08 UTC
(In reply to comment #4)

No, doesn't work--the same problem with
LibO-Dev_3.7.0alpha0+
W2008R2@20-With-Symbol-Bytemark-Hosting MASTER
pull time 2012-06-18 08:23:14
core:1d1c70d8114a28a0d37315d408fdc3ef25cf44df

As far as I can see:
http://dev-builds.libreoffice.org/daily/W2008R2@20-With-Symbol-Bytemark-Hosting/master/current/master~2012-06-18_08.23.14_build_info.txt
includes also
running ./configure with ... '--disable-build-mozilla' ...
Comment 6 Caolán McNamara 2012-06-20 04:52:11 UTC
checking whether to build XML Security support... yes

so it *should* work, i.e. its not the same problem that we had before, but some other similar looking one
Comment 7 Rainer Bielefeld Retired 2012-06-20 20:55:00 UTC
Button works fine with parallel installation of Master "LOdev " 3.7.0.0.alpha0+   - WIN7 Home Premium (64bit) ENGLISH UI [Build ID: 8d39b7]" (tinderbox: W2008R2@16-minimal_build, pull time 2012-06-20 04:38:46), using same LOdev- Profile as Build I tested before.

I can't stand the tension awaiting the result with a later Build from an other Tinderbox ;-)
Comment 8 Caolán McNamara 2012-06-22 06:55:31 UTC
looks like it's that that xml-xmlsec library links to nss, and we build nss in nss, but zip it into mozruntime.zip inside moz which isn't built with disable-build-mozilla and in scp2 we don't unpack the missing mozruntime.zip so we have no nss3.dll in the windows installset under that configuration, so it all fails
Comment 9 Caolán McNamara 2012-06-22 08:42:33 UTC
so we need to 
a) remove the weird stuff where we package those nss things into the mozruntime.zip
b) add the nss libs directly into scp2
c) always package the nss libs into the install set (fix this bug)
d) fix up the pre-built mozilla case to remove all the nss libs and includes when unpackaging them.
Comment 10 Not Assigned 2012-06-25 06:20:20 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=423479cd751e6fe7436237890240b6c9674dec5d

Resolves: fdo#51166 disconnect inclusion of nss libs in install from mozilla
Comment 11 Caolán McNamara 2012-06-25 06:21:57 UTC
That should hopefully do the trick. Works locally under windows for me anyway. You can check the broken (and hopefully) fixed builds manually to see if there is a nss3.dll file in the program dir. Broken ones are missing it and fixed ones will contain it.